Bug 1715598 - mailman3 fails to build in Fedora 31 (rawhide)
Summary: mailman3 fails to build in Fedora 31 (rawhide)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman3
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1772578
Blocks: F31FTBFS F32FTBFS F32FailsToInstall PYTHON38 1731533 1732841 PYTHON39
TreeView+ depends on / blocked
 
Reported: 2019-05-30 18:23 UTC by Miro Hrončok
Modified: 2020-04-01 16:33 UTC (History)
4 users (show)

Fixed In Version: mailman3-3.2.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 00:18:25 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Koji (263.14 KB, text/plain)
2019-05-30 18:23 UTC, Miro Hrončok
no flags Details
root.log from Koji (92.98 KB, text/plain)
2019-05-30 18:23 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-30 18:23:06 UTC
Created attachment 1575340 [details]
build.log from Koji

mailman3-3.2.0-2.fc31 fails to build in Fedora 31 (rawhide) and that is blocking the Python 3.8 rebuild.

Installing mailman script to /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin
Installing master script to /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin
Installing runner script to /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/libexec/mailman3
+ mv /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin/mailman /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin/master /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin/runner /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/libexec/mailman3/
+ cat
+ chmod +x /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/bin/mailman3
+ install -D -m 0640 /builddir/build/SOURCES/mailman3.cfg /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/etc/mailman.cfg
+ install -D -m 0644 /builddir/build/SOURCES/mailman3-tmpfiles.conf /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/lib/tmpfiles.d/mailman3.conf
+ install -D -m 0644 /builddir/build/SOURCES/mailman3.service /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/lib/systemd/system/mailman3.service
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/etc/logrotate.d/
+ sed -e 's,@LOGDIR@,/var/log/mailman3,g;s,@BINDIR@,/usr/bin,g' /builddir/build/SOURCES/mailman3.logrotate
+ install -D -m 0644 /builddir/build/SOURCES/mailman3-digests.service /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/lib/systemd/system/mailman3-digests.service
+ install -D -m 0644 /builddir/build/SOURCES/mailman3-digests.timer /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/lib/systemd/system/mailman3-digests.timer
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/var/lib/mailman3 /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/var/spool/mailman3 /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/var/log/mailman3
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/run/mailman3 /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/run/lock/mailman3
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/etc/mailman3.d
+ mkdir -p /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/var/lib/mailman3/data
+ for selinuxvariant in mls targeted
+ install -d /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux/mls
+ install -p -m 644 SELinux/mailman3.pp.mls /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux/mls/mailman3.pp
+ for selinuxvariant in mls targeted
+ install -d /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux/targeted
+ install -p -m 644 SELinux/mailman3.pp.targeted /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux/targeted/mailman3.pp
+ /usr/sbin/hardlink -cv /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=35151910

Logs attached.

Comment 1 Miro Hrončok 2019-05-30 18:23:25 UTC
Created attachment 1575341 [details]
root.log from Koji

Comment 2 Jitka Plesnikova 2019-06-19 11:17:21 UTC
+ /usr/sbin/hardlink -cv /builddir/build/BUILDROOT/mailman3-3.2.0-2.fc31.noarch/usr/share/selinux
BUILDSTDERR: /var/tmp/rpm-tmp.RbF0Pd: line 79: /usr/sbin/hardlink: No such file or directory

This error is caused, because hardlink was merged to unix-linux and the path was changed from
/usr/sbin/hardlink
to
/usr/bin/hardlink

Comment 3 Miro Hrončok 2019-07-10 12:18:38 UTC
Please respond.

Comment 4 Miro Hrončok 2019-08-01 23:05:01 UTC
Aurelien responded in bz1731533, so hopefully this will get addressed soon.

Comment 5 Ben Cotton 2019-08-13 16:58:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:36:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Miro Hrončok 2019-08-14 22:24:36 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 8 Miro Hrončok 2019-08-21 16:35:21 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 9 Miro Hrončok 2019-08-21 17:29:23 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 10 Miro Hrončok 2019-09-16 08:30:20 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Could you please look into this?

Comment 11 Fedora Release Engineering 2019-09-22 04:22:34 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 12 Fedora Release Engineering 2019-09-29 04:25:19 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 13 Miro Hrončok 2019-09-30 11:38:24 UTC
See also https://src.fedoraproject.org/rpms/mailman3/pull-request/1

Comment 14 Aurelien Bompard 2019-09-30 13:47:18 UTC
Thanks, I'm currently working on that but I need to fix the dependencies first.

Comment 15 Miro Hrončok 2020-01-02 14:56:27 UTC
Any update here? The package still wasn't rebuilt and fails to install:


Error: 
 Problem: conflicting requests
  - nothing provides python3.7dist(alembic) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(atpublic) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(flufl.bounce) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(lazr.config) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(passlib) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(requests) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(zope.component) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(zope.configuration) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(zope.event) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(zope.interface) needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python(abi) = 3.7 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(aiosmtpd) >= 1.1 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(click) >= 7.0 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(dnspython) >= 1.14.0 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(falcon) >= 1.0.0rc1 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(flufl.i18n) >= 2.0 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(flufl.lock) >= 3.1 needed by mailman3-3.2.0-2.fc30.noarch
  - nothing provides python3.7dist(sqlalchemy) >= 1.2.3 needed by mailman3-3.2.0-2.fc30.noarch


What dependencies need fixing?

Comment 16 Miro Hrončok 2020-02-29 17:32:37 UTC
Aurelien, could you please respond?

Comment 17 Zbigniew Jędrzejewski-Szmek 2020-03-06 07:08:20 UTC
https://src.fedoraproject.org/rpms/mailman3/pull-request/2

Comment 18 Miro Hrončok 2020-03-08 23:56:00 UTC
FWIW I'd like this package to be retired from Fedora 32 before the final freeze if it still fails to build by then.

Comment 20 Fedora Update System 2020-03-24 19:55:39 UTC
FEDORA-2020-78c45b9266 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-78c45b9266`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-78c45b9266

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-04-01 00:18:25 UTC
FEDORA-2020-78c45b9266 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-04-01 16:33:12 UTC
FEDORA-2020-78c45b9266 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.